
Member Nodes - Task #6983

MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

Story # 6809 (Closed): NODC: Design, code and component test a new MN implementation

Determine type of metadata and the rules for parsing for indexing

2015-04-01 21:00 - Dave Vieglais

Status: Closed Start date: 2015-04-01

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

e.g. 

http://data.nodc.noaa.gov/geoportal/csw?getxml=%7B0EDDBAC4-C740-45C4-9442-18FEC1227FAD%7D

History

#1 - 2015-04-01 21:30 - Mark Servilla

- Assignee set to Mark Servilla

#2 - 2015-04-01 21:58 - Mark Servilla

See https://geo-ide.noaa.gov/wiki/index.php?title=ISO_Namespaces

gco Geographic Common extensible markup language    http://www.isotc211.org/2005/gco

gmd Geographic Metadata extensible markup language  http://www.isotc211.org/2005/gmd

gmi Geographic Metadata Imagery extensible markup language  http://www.isotc211.org/2005/gmi

gml Geography Markup Language   http://www.opengis.net/gml/3.2

gmx Geographic Metadata XML Schema  http://www.isotc211.org/2005/gmx

gsr Geographic Spatial Referencing extensible markup language   http://www.isotc211.org/2005/gsr

gss Geographic Spatial Schema extensible markup language    http://www.isotc211.org/2005/gss

gts Geographic Temporal Schema extensible markup language   http://www.isotc211.org/2005/gts

srv Service Metadata extensible markup language http://www.isotc211.org/2005/srv

xlink   XML Linking Language    http://www.w3.org/1999/xlink

xsi W3C XML base schemas    http://www.w3.org/2001/XMLSchema-instance

#3 - 2015-04-02 17:53 - Mark Servilla

- Status changed from New to In Progress

- % Done changed from 0 to 30

#4 - 2015-05-26 16:38 - Mark Servilla

Preliminary mapping of ISO-19115-2 (ISO-19139) has been checked into Subversion at 

https://repository.dataone.org/software/cicore/trunk/mn/SlenderNodes/Design/ISO-19139/iso-19139-2-solr-mapping.txt.
#5 - 2016-03-26 03:05 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Metadata format is ISO TC211, except the NOAA variant

formatID = http://www.isotc211.org/2005/gmd-noaa
